%define module_name	zd1211
%define module_version	1.00
%define module_release	alt1.132628.8

%define kversion	2.6.18
%define krelease	alt2
%define flavour		wks-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Sources for the ZyDAS ZD1211 802.11b/g USB WLAN chipset Linux drivers
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
A large proportion of USB-wireless devices on the consumer 
market are based on the ZyDAS ZD1211. Several months after the acquisition,
 Atheros rebranded the chip to AR5007UG. 


%prep
rm -rf kernel-source-%module_name-%module_version
mkdir kernel-source-%module_name-%module_version
cd kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version


%build
cd zd1211-driver-r83
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`
subst "s|ZD1211REV_B=1|ZD1211REV_B=0|" Makefile
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
cd zd1211-driver-r83

install -d %buildroot%module_dir
install -p -m644 zd1211*.ko %buildroot%module_dir


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Nov 19 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.00-alt1.132628.8
- First build for ALT Linux.
 

